<html>
<head>
<title>OGRE: Ogre::GpuConstantDefinition Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1GpuConstantDefinition.html">GpuConstantDefinition</a></div>
<h1>Ogre::GpuConstantDefinition Struct Reference</h1><!-- doxytag: class="Ogre::GpuConstantDefinition" -->Information about predefined program constants.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1GpuConstantDefinition-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#95badfcf50353a9e783cd0c39245b797">isFloat</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#5205751dcfddd7f6f5f7e68aec6799e3">isSampler</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#fce533b1a68d8e3f542cfeab53a643ae">GpuConstantDefinition</a> ()</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#2313e6ce0fa661a5814099230846b82d">constType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Data type.  <a href="#2313e6ce0fa661a5814099230846b82d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#46ccefd7dc110783ff07328cf105b19f">physicalIndex</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Physical start index in buffer (either float or int buffer).  <a href="#46ccefd7dc110783ff07328cf105b19f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#2d71f0cd6e1f4fab8806905dd131abe6">elementSize</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of raw buffer slots per element (some programs pack each array element to float4, some do not).  <a href="#2d71f0cd6e1f4fab8806905dd131abe6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#caf52008903308ca818a1fc816d88231">arraySize</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Length of array.  <a href="#caf52008903308ca818a1fc816d88231"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Information about predefined program constants. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Only available for high-level programs but is referenced generically by <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00084">84</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="fce533b1a68d8e3f542cfeab53a643ae"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::GpuConstantDefinition" ref="fce533b1a68d8e3f542cfeab53a643ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::GpuConstantDefinition::GpuConstantDefinition           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00134">134</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="95badfcf50353a9e783cd0c39245b797"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::isFloat" ref="95badfcf50353a9e783cd0c39245b797" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::GpuConstantDefinition::isFloat           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00096">96</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

<p>References <a class="el" href="OgreGpuProgram_8h-source.html#l00073">Ogre::GCT_INT1</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l00074">Ogre::GCT_INT2</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l00075">Ogre::GCT_INT3</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l00076">Ogre::GCT_INT4</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l00058">Ogre::GCT_SAMPLER1D</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l00062">Ogre::GCT_SAMPLER1DSHADOW</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l00059">Ogre::GCT_SAMPLER2D</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l00063">Ogre::GCT_SAMPLER2DSHADOW</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l00060">Ogre::GCT_SAMPLER3D</a>, and <a class="el" href="OgreGpuProgram_8h-source.html#l00061">Ogre::GCT_SAMPLERCUBE</a>.</p>

</div>
</div><p>
<a class="anchor" name="5205751dcfddd7f6f5f7e68aec6799e3"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::isSampler" ref="5205751dcfddd7f6f5f7e68aec6799e3" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::GpuConstantDefinition::isSampler           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00117">117</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

<p>References <a class="el" href="OgreGpuProgram_8h-source.html#l00058">Ogre::GCT_SAMPLER1D</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l00062">Ogre::GCT_SAMPLER1DSHADOW</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l00059">Ogre::GCT_SAMPLER2D</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l00063">Ogre::GCT_SAMPLER2DSHADOW</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l00060">Ogre::GCT_SAMPLER3D</a>, and <a class="el" href="OgreGpuProgram_8h-source.html#l00061">Ogre::GCT_SAMPLERCUBE</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="2313e6ce0fa661a5814099230846b82d"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::constType" ref="2313e6ce0fa661a5814099230846b82d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> <a class="el" href="structOgre_1_1GpuConstantDefinition.html#2313e6ce0fa661a5814099230846b82d">Ogre::GpuConstantDefinition::constType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Data type. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00087">87</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="46ccefd7dc110783ff07328cf105b19f"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::physicalIndex" ref="46ccefd7dc110783ff07328cf105b19f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuConstantDefinition.html#46ccefd7dc110783ff07328cf105b19f">Ogre::GpuConstantDefinition::physicalIndex</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Physical start index in buffer (either float or int buffer). 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00089">89</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2d71f0cd6e1f4fab8806905dd131abe6"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::elementSize" ref="2d71f0cd6e1f4fab8806905dd131abe6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuConstantDefinition.html#2d71f0cd6e1f4fab8806905dd131abe6">Ogre::GpuConstantDefinition::elementSize</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Number of raw buffer slots per element (some programs pack each array element to float4, some do not). 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00092">92</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="caf52008903308ca818a1fc816d88231"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::arraySize" ref="caf52008903308ca818a1fc816d88231" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuConstantDefinition.html#caf52008903308ca818a1fc816d88231">Ogre::GpuConstantDefinition::arraySize</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Length of array. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00094">94</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:47 2008
</p>
</body>
</html>
